// Requires Node.js SDK v8.2.0 or later
import { AdminClient } from '@pinecone-database/pinecone';
// Reads PINECONE_CLIENT_ID and PINECONE_CLIENT_SECRET from the environment
const admin = new AdminClient();
const { data: users } = await admin.users.list();
console.log(users);
// Requires Go SDK v6.0.0 or later
package main
import (
"context"
"fmt"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v6/pinecone"
)
func main() {
ctx := context.Background()
adminClient, err := pinecone.NewAdminClientWithContext(ctx, pinecone.NewAdminClientParams{
ClientId: os.Getenv("PINECONE_CLIENT_ID"),
ClientSecret: os.Getenv("PINECONE_CLIENT_SECRET"),
})
if err != nil {
log.Fatalf("Failed to create AdminClient: %v", err)
}
users, err := adminClient.User.List(ctx, &pinecone.ListUsersParams{})
if err != nil {
log.Fatalf("Failed to list users: %v", err)
}
for _, user := range users.Data {
fmt.Printf("User: %v (%v)\n", user.Email, user.Id)
}
}
# Requires Terraform provider v4.0.0 or later
data "pinecone_users" "all" {}
output "user_emails" {
value = [for user in data.pinecone_users.all.users : user.email]
}
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
curl -X GET "https://api.pinecone.io/admin/users" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-H "accept: application/json" \
-H "X-Pinecone-Api-Version: 2026-04"
{
"data": [
{
"id": "e2e92523-85dc-4142-b8c2-e681be8b78df",
"email": "alice@example.com",
"name": "Alice Example",
"created_at": "2026-04-10T15:23:00Z",
"updated_at": "2026-04-12T09:11:00Z"
}
],
"pagination": {
"next": "eyJsYXN0X2lkIjoiZTJlOTI1MjMifQ=="
}
}
Users
List users in the organization
List users in the caller’s organization, optionally filtered by email address.
GET
/
admin
/
users
// Requires Node.js SDK v8.2.0 or later
import { AdminClient } from '@pinecone-database/pinecone';
// Reads PINECONE_CLIENT_ID and PINECONE_CLIENT_SECRET from the environment
const admin = new AdminClient();
const { data: users } = await admin.users.list();
console.log(users);
// Requires Go SDK v6.0.0 or later
package main
import (
"context"
"fmt"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v6/pinecone"
)
func main() {
ctx := context.Background()
adminClient, err := pinecone.NewAdminClientWithContext(ctx, pinecone.NewAdminClientParams{
ClientId: os.Getenv("PINECONE_CLIENT_ID"),
ClientSecret: os.Getenv("PINECONE_CLIENT_SECRET"),
})
if err != nil {
log.Fatalf("Failed to create AdminClient: %v", err)
}
users, err := adminClient.User.List(ctx, &pinecone.ListUsersParams{})
if err != nil {
log.Fatalf("Failed to list users: %v", err)
}
for _, user := range users.Data {
fmt.Printf("User: %v (%v)\n", user.Email, user.Id)
}
}
# Requires Terraform provider v4.0.0 or later
data "pinecone_users" "all" {}
output "user_emails" {
value = [for user in data.pinecone_users.all.users : user.email]
}
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
curl -X GET "https://api.pinecone.io/admin/users" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-H "accept: application/json" \
-H "X-Pinecone-Api-Version: 2026-04"
{
"data": [
{
"id": "e2e92523-85dc-4142-b8c2-e681be8b78df",
"email": "alice@example.com",
"name": "Alice Example",
"created_at": "2026-04-10T15:23:00Z",
"updated_at": "2026-04-12T09:11:00Z"
}
],
"pagination": {
"next": "eyJsYXN0X2lkIjoiZTJlOTI1MjMifQ=="
}
}
// Requires Node.js SDK v8.2.0 or later
import { AdminClient } from '@pinecone-database/pinecone';
// Reads PINECONE_CLIENT_ID and PINECONE_CLIENT_SECRET from the environment
const admin = new AdminClient();
const { data: users } = await admin.users.list();
console.log(users);
// Requires Go SDK v6.0.0 or later
package main
import (
"context"
"fmt"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v6/pinecone"
)
func main() {
ctx := context.Background()
adminClient, err := pinecone.NewAdminClientWithContext(ctx, pinecone.NewAdminClientParams{
ClientId: os.Getenv("PINECONE_CLIENT_ID"),
ClientSecret: os.Getenv("PINECONE_CLIENT_SECRET"),
})
if err != nil {
log.Fatalf("Failed to create AdminClient: %v", err)
}
users, err := adminClient.User.List(ctx, &pinecone.ListUsersParams{})
if err != nil {
log.Fatalf("Failed to list users: %v", err)
}
for _, user := range users.Data {
fmt.Printf("User: %v (%v)\n", user.Email, user.Id)
}
}
# Requires Terraform provider v4.0.0 or later
data "pinecone_users" "all" {}
output "user_emails" {
value = [for user in data.pinecone_users.all.users : user.email]
}
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
curl -X GET "https://api.pinecone.io/admin/users" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-H "accept: application/json" \
-H "X-Pinecone-Api-Version: 2026-04"
{
"data": [
{
"id": "e2e92523-85dc-4142-b8c2-e681be8b78df",
"email": "alice@example.com",
"name": "Alice Example",
"created_at": "2026-04-10T15:23:00Z",
"updated_at": "2026-04-12T09:11:00Z"
}
],
"pagination": {
"next": "eyJsYXN0X2lkIjoiZTJlOTI1MjMifQ=="
}
}
Authorizations
An access token must be provided in the Authorization header using the Bearer scheme.
Headers
Required date-based version header
Query Parameters
Case-insensitive filter on the user's email address. Malformed email returns 400 INVALID_ARGUMENT.
Maximum string length:
254The number of results to return per page. When omitted, the server defaults to 100. Out-of-range values return 400 OUT_OF_RANGE.
Required range:
1 <= x <= 100Cursor from pagination.next of a prior response. Must be reused with the same query context (path parameters, filters, and limit).
Response
A paginated list of users. Role bindings are not included; use GET /admin/role-bindings to list them.
Was this page helpful?
⌘I